# Invocation_Adapter.h File Reference

`#include "ace/Global_Macros.h"`
`#include "ace/CORBA_macros.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Invocation_Utils.h"`
`#include "tao/Collocation_Strategy.h"`
`#include "tao/CORBA_methods.h"`
`#include "tao/Pseudo_VarOut_T.h"`
`#include "tao/Invocation_Adapter.inl"`

Include dependency graph for Invocation_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | TAO::Invocation_Adapter
| Generic interface for the invocation object visible to the IDL compiler. More...

## Detailed Description

Id
  Invocation_Adapter.h,v 1.19 2005/11/24 11:05:45 ossama Exp

Author:
  Balachandran Natarajan <bala@dre.vanderbilt.edu>